After OpenVPN NM installed its not work, but when I restarted it will works fine

Bug #344843 reported by Michal Pěnka on 2009-03-18
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
NetworkManager-OpenVPN
New
Undecided
Unassigned
One Hundred Papercuts
Undecided
Unassigned
network-manager-openvpn (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: network-manager-openvpn

I'm using latest and daily updated Jaunty, but I suffer from this bug. I use the same settings as I used in Intrepid but cannot connect with openvpn plugin in Network Manager. Notification says something like "no valid secret vpn keys", sorry, I've got it in czech.

Here you are the daemon.log which should be more precise:
Mar 18 15:21:05 barny NetworkManager: <info> Starting VPN service 'org.freedesktop.NetworkManager.openvpn'...
Mar 18 15:21:05 barny NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' started (org.freedesktop.NetworkManager.openvpn), PID 12274
Mar 18 15:21:05 barny NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' just appeared, activating connections
Mar 18 15:21:05 barny NetworkManager: nm-vpn-connection.c.900: NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=3613 comm="/usr/sbin/NetworkManager --pid-file /var/run/Netwo") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=12274 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
Mar 18 15:21:05 barny NetworkManager: <WARN> connection_state_changed(): Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=3613 comm="/usr/sbin/NetworkManager --pid-file /var/run/Netwo") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=12274 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
Mar 18 15:21:05 barny NetworkManager: <info> Policy set 'Auto channe6' (wlan0) as default for routing and DNS.

Here you are my system:
Linux barny 2.6.28-9-generic #31-Ubuntu SMP Wed Mar 11 15:43:49 UTC 2009 x86_64 GNU/Linux

Here you have my openvpn configuration file which fortunately works (but I have to connect by invoking the command manually):
remote domain.name
client
port 1194
tls-client
dev tap
pull

mute 10
ca /home/user/.openvpn/family/ca.crt
cert /home/user/.openvpn/family/VPN-user.crt
key /home/user/.openvpn/family/VPN-user.key

log /var/log/vpn.log

comp-lzo

Thanks for your help!

magi (magnus-hagdorn-marsupium) wrote :

I can confirm this problem. Also starting vpnc based vpn fails in a similar manner:

Apr 5 23:21:15 hog NetworkManager: <info> Starting VPN service 'org.freedesktop.NetworkManager.vpnc'...
Apr 5 23:21:15 hog NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 3177
Apr 5 23:21:15 hog NetworkManager: <WARN> vpn_service_watch_cb(): VPN service 'org.freedesktop.NetworkManager.vpnc' exited with error: 1
Apr 5 23:21:15 hog NetworkManager: <info> (eth0): writing resolv.conf to /sbin/resolvconf
Apr 5 23:21:15 hog NetworkManager: <info> Policy set 'Auto eth0' (eth0) as default for routing and DNS.
Apr 5 23:21:20 hog NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.vpnc' did not start in time, cancelling connections

and for openvpn:

Apr 5 23:21:52 hog NetworkManager: <info> Starting VPN service 'org.freedesktop.NetworkManager.openvpn'...
Apr 5 23:21:52 hog NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' started (org.freedesktop.NetworkManager.openvpn), PID 3184
Apr 5 23:21:52 hog NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' just appeared, activating connections
Apr 5 23:21:52 hog NetworkManager: <info> VPN plugin state changed: 1
Apr 5 23:21:52 hog NetworkManager: nm-vpn-connection.c.900: NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1 matched rules; type="method_call", sender=":1.10" (uid=0 pid=2922 comm="/usr/sbin/NetworkManager --pid-file /var/run/Netwo") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=3184 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
Apr 5 23:21:52 hog NetworkManager: <WARN> connection_state_changed(): Rejected send message, 1 matched rules; type="method_call", sender=":1.10" (uid=0 pid=2922 comm="/usr/sbin/NetworkManager --pid-file /var/run/Netwo") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=3184 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
Apr 5 23:21:52 hog NetworkManager: <info> (eth0): writing resolv.conf to /sbin/resolvconf
Apr 5 23:21:52 hog NetworkManager: <info> Policy set 'Auto eth0' (eth0) as default for routing and DNS.
Apr 5 23:22:05 hog NetworkManager: <debug> [1238970125.002156] ensure_killed(): waiting for vpn service pid 3184 to exit
Apr 5 23:22:05 hog NetworkManager: <debug> [1238970125.002343] ensure_killed(): vpn service pid 3184 cleaned up

this is a show stopper for me :-(

magi (magnus-hagdorn-marsupium) wrote :

ok, figured it out. restarting the system sorted it out. would be curious to know what fixes this problem. ah well, it is working now.

I've tested it today and it seems to work fine for me. Although I suffer
from the "bad routes" bug.

does anyone still see this after properly rebooting your system?

lilphil (lilphil) wrote :

This caught me out twice, when I installed both the network-manager-openvpn and network-manager-pptp plugins.

Each time, a restart of /etc/init.d/NetworkManager fixed the problem.

Jim Hunziker (landtuna) wrote :

This is the same bug as #360818, only the file that needs to be patched in this case is /etc/dbus-1/system.d/nm-openvpn-service.conf.

Jim Hunziker (landtuna) wrote :

Sorry - I might be wrong about that. But making sure the console user is not running any sudo shells seems to work around the problem for me.

Lazly (ubuntu-lazly) wrote :

When I restarted the full system this problem has fixed, now run OpenVPN fine from NetworkManager.

Lazly (ubuntu-lazly) on 2010-06-24
summary: - Jaunty OpenVPN NM settings same as in Intrepid, but don't work
+ After OpenVPN NM installed its not work, but when I restarted it will
+ works fine
Vish (vish) wrote :

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

- Though this is a trivial bug which needs to be fixed , it is not a usability issue.
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.

Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid

Still happening on 10.04, reboot was required to fix this error:

Aug 5 18:19:21 lucy NetworkManager: nm-vpn-connection.c.828: NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1025 comm="NetworkManager) interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=3739 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))

Id2ndR (id2ndr) wrote :

I can confirm this on Ubuntu 9.10. Restarting Network Manager service fixes the trouble.
Once it's done, nm-applet asked me for the autorisation to read the VPN passphrase. Notice that this bug may be related to bug #360818.

Jason Gunthorpe (jgunthorpe) wrote :

Just saw this on 10.10 too. /etc/init.d/network-manager restart got things going again.

I'm also on Ubuntu 10.10 x64. Same problem. Restarting network-manager did the trick.

This bug is really annoying and persists since 2009! Does anybody have any idea how to fix this!?

Victor.

Unbelievable, but this bug is still present in natty :(

I'm out of the office until 1st August.

On 5 May 2011, at 13:54, Ivars Strazdiņš <email address hidden>
wrote:

> Unbelievable, but this bug is still present in natty :(
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/344843
>
> Title:
>  After OpenVPN NM installed its not work, but when I restarted it
> will
>  works fine
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in Network management framework (OpenVPN plugin):
>  New
> Status in “network-manager-openvpn” package in Ubuntu:
>  New
>
> Bug description:
>  Binary package hint: network-manager-openvpn
>
>  I'm using latest and daily updated Jaunty, but I suffer from this
> bug.
>  I use the same settings as I used in Intrepid but cannot connect
> with
>  openvpn plugin in Network Manager. Notification says something like
>  "no valid secret vpn keys", sorry, I've got it in czech.
>
>  Here you are the daemon.log which should be more precise:
>  Mar 18 15:21:05 barny NetworkManager: <info>  Starting VPN service
> 'org.freedesktop.NetworkManager.openvpn'...
>  Mar 18 15:21:05 barny NetworkManager: <info>  VPN service
> 'org.freedesktop.NetworkManager.openvpn' started
> (org.freedesktop.NetworkManager.openvpn), PID 12274
>  Mar 18 15:21:05 barny NetworkManager: <info>  VPN service
> 'org.freedesktop.NetworkManager.openvpn' just appeared, activating
> connections
>  Mar 18 15:21:05 barny NetworkManager: nm-vpn-connection.c.900:
> NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1
> matched rules; type="method_call", sender=":1.8" (uid=0 pid=3613
> comm="/usr/sbin/NetworkManager --pid-file /var/run/Netwo")
> interface="org.freedesktop.NetworkManager.VPN.Plugin"
> member="NeedSecrets" error name="(unset)" requested_reply=0
> destination="org.freedesktop.NetworkManager.openvpn" (uid=0
> pid=12274 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
>  Mar 18 15:21:05 barny NetworkManager: <WARN>
>  connection_state_changed(): Rejected send message, 1 matched rules;
> type="method_call", sender=":1.8" (uid=0 pid=3613 comm="/usr/sbin/
> NetworkManager --pid-file /var/run/Netwo")
> interface="org.freedesktop.NetworkManager.VPN.Plugin"
> member="Disconnect" error name="(unset)" requested_reply=0
> destination="org.freedesktop.NetworkManager.openvpn" (uid=0
> pid=12274 comm="/usr/lib/network-manager-openvpn/nm-openvpn-servic"))
>  Mar 18 15:21:05 barny NetworkManager: <info>  Policy set 'Auto
> channe6' (wlan0) as default for routing and DNS.
>
>
>  Here you are my system:
>  Linux barny 2.6.28-9-generic #31-Ubuntu SMP Wed Mar 11 15:43:49 UTC
> 2009 x86_64 GNU/Linux
>
>  Here you have my openvpn configuration file which fortunately works
> (but I have to connect by invoking the command manually):
>  remote domain.name
>  client
>  port 1194
>  tls-client
>  dev tap
>  pull
>
>  mute 10
>  ca /home/user/.openvpn/family/ca.crt
>  cert /home/user/.openvpn/family/VPN-user.crt
>  key /home/user/.openvpn/family/VPN-user.key
>
>  log /var/log/vpn.log
>
>  comp-lzo
>
>
>  Thanks for your help!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers